

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.45. plugin_unregister &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.46. query_expand" href="query_expand.html" />
    <link rel="prev" title="7.3.44. plugin_register" href="plugin_register.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/plugin_unregister.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="query_expand.html" title="7.3.46. query_expand"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="plugin_register.html" title="7.3.44. plugin_register"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.45. </span><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="plugin-unregister">
<h1><span class="section-number">7.3.45. </span><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code><a class="headerlink" href="#plugin-unregister" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p>このコマンドは実験的な機能です。</p>
</div>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.0.1 で追加.</span></p>
</div>
<div class="section" id="summary">
<h2><span class="section-number">7.3.45.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code> コマンドはプラグインの登録を解除します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.45.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで必須です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_unregister name
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.45.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>これは <code class="docutils literal notranslate"><span class="pre">${PREFIX}/lib/groonga/plugins/query_expanders/tsv.so</span></code> に含まれている <code class="docutils literal notranslate"><span class="pre">QueryExpanderTSV</span></code> クエリー展開オブジェクトの登録を解除する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_unregister query_expanders/tsv
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">${PREFIX}/lib/groonga/plugins/</span></code> と拡張子（ <code class="docutils literal notranslate"><span class="pre">.so</span></code> ）は省略可能です。これらは自動で補完されます。</p>
<p><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span> <span class="pre">/usr/lib/groonga/plugins/query_expanders/tsv.so</span></code> というように絶対パスを指定することもできます。</p>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.45.4. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code> が成功したときは以下のようにボディは <code class="docutils literal notranslate"><span class="pre">true</span></code> になります:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code> が失敗すると、エラーの詳細は <code class="docutils literal notranslate"><span class="pre">HEADER</span></code> に含まれます。</p>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.45.5. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="plugin_register.html"><span class="doc">plugin_register</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.45. <code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.45.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.45.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.45.3. 使い方</a></li>
<li><a class="reference internal" href="#return-value">7.3.45.4. 戻り値</a></li>
<li><a class="reference internal" href="#see-also">7.3.45.5. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="plugin_register.html"
                        title="前の章へ"><span class="section-number">7.3.44. </span><code class="docutils literal notranslate"><span class="pre">plugin_register</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="query_expand.html"
                        title="次の章へ"><span class="section-number">7.3.46. </span><code class="docutils literal notranslate"><span class="pre">query_expand</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="query_expand.html" title="7.3.46. query_expand"
             >次へ</a> |</li>
        <li class="right" >
          <a href="plugin_register.html" title="7.3.44. plugin_register"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.45. </span><code class="docutils literal notranslate"><span class="pre">plugin_unregister</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>